<?php
//=================================================================
// KOOBI R7 - CMS - PORTALSOFTWARE(c) DREAM4(r) 
// HTTP://WWW.DREAM4.DE
//=================================================================
// ACHTUNG!
// DIESER PROGRAMMCODE IST URHERRECHTLICH GESCHUETZT
// DIE URHEBERRECHTE LIEGEN BEI DEN JEWEILIGEN AUTOREN.
// AENDERUNGEN IN DIESER DATEI ERFOLGEN AUF EIGENE GEFAHR!
// ES IST NICHT GESTATTET, DEN COPYRIGHTHINWEIS ZU AENDERN ODER ZU
// ENTFERNEN. NUR WENN SIE EINE COPYRIGHTHINWEIS-ENTFERNUNG BESTELLT
// HABEN, DUERFEN SIE DIESEN ENTFERNEN.
//================================================================
// BEI FRAGEN WENDEN SIE SICH BITTE AN: KONTAKT@DREAM4.DE
//=================================================================
if(!defined('BASE_DIR')) exit;
define('AJAX_OUTPUT',1);

$query =  (isset($_REQUEST['content']) ) ?  trim(eregi_replace('[^ A-Za-zÀ-ÖØ-öø-ÿ0-9-]', '', $_REQUEST['content'])) : '';
$request = $query ;
$cid = (isset($categ) && !empty($categ) && $categ != '9999') ? $categ : 0;
$categ = (isset($categ) && !empty($categ) && $categ != '9999') ? ' AND Kategorie = '.$categ.'' : '';
$manu  = (isset($man) && !empty($man) && $man != '9999') ? " AND Hersteller = '" . preg_replace('/([^0-9]*)/', '', $manu)  . "'" : "";

$sc = $query;
$allowed = UGROUP;
$Lc = $_SESSION['Langcode'];

if(!empty($sc) && strlen($sc) >= 4)
{
	$div = '';
	echo 'showDiv||';

	echo '<div id="shop_ajax_searchdiv"><table width="100%" cellpadding="0" cellspacing="0"><tr><td class="res_header">' . $GLOBALS['config_vars']['Shop_suggests'] . '</td><td class="res_header" align="right"></td></tr></table>';
	$search_string = explode(' ', $query);
	$count = 0;
	foreach($search_string as $search_s)
	{
		$query = "SELECT Titel_$Lc AS Titel FROM " . PREFIX . "_shop_produkte WHERE 
			Aktiv = 1 AND 
			(
				Titel_$Lc LIKE '%{$search_s}%' OR  Titel_$Lc LIKE '%" . koobispecialchars($search_s) . "%' OR 
				Beschreibung_$Lc LIKE '%{$search_s}%' OR  Beschreibung_$Lc LIKE '%" . koobispecialchars($search_s) . "%' OR 
				Artikelnummer = '{$search_s}' OR  
				Schlagwoerter LIKE '%{$search_s}%' OR Schlagwoerter LIKE '%" . koobispecialchars($search_s) . "%'
			) 
			$categ 
			$manu 
			";
	
		$sql = $GLOBALS['db']->Query($query);
		$num = $sql->numrows();
		if($num>0 && strlen($search_s) >= 4)
		{
			$div .= '<table width="100%" cellpadding="0" cellspacing="0"><tr><td style="padding:3px"><strong><a style="display:block" class="shop_ajax_result" href="index.php?shop_q=' . urldecode($search_s) . '&amp;cid=' . $cid . '&amp;man=0&amp;p=shop&action=showproducts">' . $search_s . '</a></strong></td><td style="padding:3px" align="right">' . $num . $GLOBALS['config_vars']['Shop_suggestsHits'] . ' </td></tr></table>'; 
			$count++;
		}
	}
		
		$div .= ($count==0) ? '<div align="center">' . $GLOBALS['config_vars']['Shop_suggestsNoHits'] . '</div>' : '';
		$div .= '</div>';
		echo $div;
} else {
	if(strlen($sc) < 4 && !empty($sc))
	{
		echo "showDiv||";
	} else {
		echo "showDiv||";
	}
}

exit;
?>